Subject: Re: git-gui hangs on read

From: Gustaf Hendeby <[email-masked]>
Date: Wed, 23 Apr 2008 10:50:18 +0200

On 04/23/2008 01:25 AM, Shawn O. Pearce wrote:
> Benjamin Collins <[email-masked]> wrote:
>> On Mon, Apr 21, 2008 at 7:13 PM, Shawn O. Pearce <[email-masked]> wrote:
>>>  From the strace it looks like your aspell is not giving us a
>>>  reply to the "$$cr master" command.  What does this give you?
>> $ aspell --mode=none --encoding=UTF-8 pipe <<EOF
>>> !
>>> $$cr master
>>> EOF
>> @(#) International Ispell Version 3.1.20 (but really Aspell 0.50.5)
>> & cr 70 5: Cr, cry, RC, CPR, CRT, Car, car, ctr, cur, CT, Ct, ct, C, R, c, r, Ce
>> , cir, Gr, Jr, Kr, gr, qr, NCR, OCR, VCR, CA, CO, Ca, Co, Cu, RR, ca, cc, ck, co
>> , cu, cw, yr, BR, Br, CB, CD, CF, CV, CZ, Cb, Cd, Cf, Cl, Cm, Cs, Dr, Fr, HR, Lr
>> , Mr, PR, Pr, Sr, Zr, cf, cg, cl, cm, cs, fr, hr, pr, tr
>>
> 
> Awww hell.  I think I see two issues.  The first is $$ maybe
> was expanded by your shell so aspell didn't see it as a command?
> I should have used <<'EOF' to avoid that, but I uh, forgot.
> 
> Can you upgrade aspell to 0.60.5?  Everywhere that I have used
> git-gui 0.10 that's the version I have had available.  I wonder
> if 0.50.5 has an issue here, or just doesn't support the "$$cr"
> command I was trying to use.  In which case I can try to make
> git-gui 0.10.2 detect the aspell version and avoid using $$cr
> if its an old version.
> 

Hi!

I just ran into the same/similar problem using the latest msysGit git 
version on Windows XP.

I have aspell 0.50.3 alpha installed on my laptop, and that seems to be 
basically up to date for the Windows port of aspell.  Is there any way 
to get around this problem?

/Gustaf